pidgin: _PurpleWhiteboardPrplOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleWhiteboardPrplOps Struct Reference

PurpleWhiteboard PRPL Operations. More...

`#include <whiteboard.h>`

## Data Fields
void(* | start )(PurpleWhiteboard *wb)
| start function
void(* | end )(PurpleWhiteboard *wb)
| end function
void(* | get_dimensions )(const PurpleWhiteboard *wb, int *width, int *height)
| get_dimensions function
void(* | set_dimensions )(PurpleWhiteboard *wb, int width, int height)
| set_dimensions function
void(* | get_brush )(const PurpleWhiteboard *wb, int *size, int *color)
| get the brush size and color
void(* | set_brush )(PurpleWhiteboard *wb, int size, int color)
| set the brush size and color
void(* | send_draw_list )(PurpleWhiteboard *wb, GList *draw_list)
| send_draw_list function
void(* | clear )(PurpleWhiteboard *wb)
| clear function
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

PurpleWhiteboard PRPL Operations.

Definition at line 78 of file whiteboard.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleWhiteboardPrplOps::_purple_reserved1) (void)

Definition at line 89 of file whiteboard.h.

## ◆ _purple_reserved2

void(* _PurpleWhiteboardPrplOps::_purple_reserved2) (void)

Definition at line 90 of file whiteboard.h.

## ◆ _purple_reserved3

void(* _PurpleWhiteboardPrplOps::_purple_reserved3) (void)

Definition at line 91 of file whiteboard.h.

## ◆ _purple_reserved4

void(* _PurpleWhiteboardPrplOps::_purple_reserved4) (void)

Definition at line 92 of file whiteboard.h.

## ◆ clear

void(* _PurpleWhiteboardPrplOps::clear) (PurpleWhiteboard *wb)

clear function

Definition at line 87 of file whiteboard.h.

## ◆ end

void(* _PurpleWhiteboardPrplOps::end) (PurpleWhiteboard *wb)

end function

Definition at line 81 of file whiteboard.h.

## ◆ get_brush

void(* _PurpleWhiteboardPrplOps::get_brush) (const PurpleWhiteboard *wb, int *size, int *color)

get the brush size and color

Definition at line 84 of file whiteboard.h.

## ◆ get_dimensions

void(* _PurpleWhiteboardPrplOps::get_dimensions) (const PurpleWhiteboard *wb, int *width, int *height)

get_dimensions function

Definition at line 82 of file whiteboard.h.

## ◆ send_draw_list

void(* _PurpleWhiteboardPrplOps::send_draw_list) (PurpleWhiteboard *wb, GList *draw_list)

send_draw_list function

Definition at line 86 of file whiteboard.h.

## ◆ set_brush

void(* _PurpleWhiteboardPrplOps::set_brush) (PurpleWhiteboard *wb, int size, int color)

set the brush size and color

Definition at line 85 of file whiteboard.h.

## ◆ set_dimensions

void(* _PurpleWhiteboardPrplOps::set_dimensions) (PurpleWhiteboard *wb, int width, int height)

set_dimensions function

Definition at line 83 of file whiteboard.h.

## ◆ start

void(* _PurpleWhiteboardPrplOps::start) (PurpleWhiteboard *wb)

start function

Definition at line 80 of file whiteboard.h.

The documentation for this struct was generated from the following file:

- whiteboard.h